%define cvs_data      20040718
%define lib_ver_M     3
%define lib_ver_m     3
%define lib_ver       %lib_ver_M.%lib_ver_m
%define lib_ver_pkg   %lib_ver.%lib_rel

%define pkg_prerel    rc3
%define pkg_name      ekg
%define pkg_ver       1.6
%define pkg_dver      11.0
%define pkg_rver      0.%{pkg_prerel}.1
%define pkg_rel       %{pkg_dver}.aur.%{pkg_rver}
%define pkg_cfgdir    %{_sysconfdir}/ekg

# build options
%define opt_shared  1
%define opt_dynamic 1
%define opt_ioctld  1
%define opt_pthread 1
%define opt_ssl     1
%define opt_python  1
%define opt_zlib    1
%define opt_jpeg    1
%define opt_aspell  1

Summary: ekg - A Gadu-Gadu compatible client (for console).
Name:    %{pkg_name}
Version: %{pkg_ver}
Release: %{pkg_rel}
Epoch:   2

URL: http://dev.null.pl/ekg/

License:   GPL

Distribution: Aurox

Group:    Applications/Communications

#Source0: %{name}-%{cvs_data}.tar.bz2
Source0: %{name}-%{pkg_ver}%{pkg_prerel}.tar.gz
Source1: %{name}.conf
Source2: %{name}-override.conf

Prefix: %{_prefix}
Requires: libgadu = %{epoch}:%{pkg_ver}-%{pkg_rel}

Buildrequires: ncurses-devel
%if %opt_ssl
Buildrequires: openssl-devel
%endif
%if %opt_python
Buildrequires: python-devel
%endif
%if %opt_zlib
Buildrequires: zlib-devel
%endif
%if %opt_jpeg
Buildrequires: libjpeg-devel
%endif
%if %opt_aspell
Buildrequires: aspell-devel
%endif

BuildRoot: %{_tmppath}/%{name}-%(id -nu)

%description
ekg is an experimental Gadu-Gadu client. (Console)
Build options:
%{?opt_dynamic: - Link ekg dynamically with libgadu}
%{?opt_ioctld: - ioctld support}
%{?opt_pthread: - Use pthread in resolver}
%{?opt_ssl: - Compile with OpenSSL}
%{?opt_python: - Compile with Python bindings}
%{?opt_zlib: - Compile with zlib (compressed logs)}
%{?opt_jpeg: - Compile with libjpeg (token support)}

%package -n libgadu
Summary:  libgadu - Library for Gadu-Gadu (Polish IM protocol).
License:   LGPL
Group:    System Environment/Libraries

%description -n libgadu
The libgadu library.
Build options:
%{?opt_shared: - Compile shared version of libgadu}
%{?opt_pthread: - Use pthread in resolver}
%{?opt_ssl: - Compile with OpenSSL}
%{?opt_python: - Compile with Python bindings}
%{?opt_zlib: - Compile with zlib (compressed logs)}
%{?opt_jpeg: - Compile with libjpeg (token support)}

%package -n libgadu-devel
Summary: Development tools for programs which will use the libgadu library.
License: LGPL
Group:   Development/Libraries

Requires: libgadu = %{epoch}:%{pkg_ver}-%{pkg_rel}

%description -n libgadu-devel
This package contains the header files for developing programs which will
using the libgadu library.
Build options:
%{?opt_shared: - Compile shared version of libgadu}
%{?opt_pthread: - Use pthread in resolver}
%{?opt_ssl: - Compile with OpenSSL}
%{?opt_python: - Compile with Python bindings}
%{?opt_zlib: - Compile with zlib (compressed logs)}
%{?opt_jpeg: - Compile with libjpeg (token support)}

%prep
%setup -q -n %{name}-%{pkg_ver}%{pkg_prerel}

# fix version info
perl -pi -e 's|CVS|%{pkg_ver}|' src/version.h lib/libgadu.h lib/libgadu.pc.in

%build
%configure \
  --sysconfdir=%{pkg_cfgdir} \
%if %opt_shared
  --enable-shared \
%else
  --disable-shared \
%endif
%if %opt_dynamic
  --enable-dynamic \
%else
  --disable-dynamic \
%endif
%if %opt_ioctld
  --enable-ioctld   \
%else
  --disable-ioctld  \
%endif
%if %opt_pthread
  --with-pthread \
%else
  --without-pthread \
%endif
%if %opt_ssl
  --with-openssl \
%else
  --without-openssl \
%endif
%if %opt_python
  --with-python  \
%else
  --without-python  \
%endif
%if %opt_zlib
  --with-zlib \
%else
  --without-zlib \
%endif
%if %opt_aspell
  --enable-aspell \
%endif
%if %opt_jpeg
  --with-libjpeg
%else
  --without-libjpeg
%endif

%{__make}
cd docs/api 
./make.pl

%install
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%makeinstall

install -m 644 docs/emoticons.* %buildroot%_datadir/ekg

mkdir -p %buildroot/%pkg_cfgdir
install -m 644 %{SOURCE1} %buildroot/%pkg_cfgdir
install -m 644 %{SOURCE2} %buildroot/%pkg_cfgdir

# docs
%__rm -f -r rpm-doc
%__mkdir rpm-doc
cd rpm-doc
%__mkdir ekg
%__mkdir libgadu
# ekg docs
install -m 644 ../docs/[7FIRTstv]*    ekg
install -m 644 ../docs/dcc.txt        ekg
install -m 644 ../docs/python.txt     ekg
install -m 644 ../docs/ui-ncurses.txt ekg 

# Python scripts
%__mkdir ekg/scripts
install -m 644 ../contrib/scripts/*.py ekg/scripts

# contrib (utils)
%__mkdir ekg/contrib
cp -a ../contrib/[Aegl]*   ekg/contrib

# devel docs (libgadu)
install -m 644 ../docs/[fg]*		 libgadu
install -m 644 ../docs/api.txt		 libgadu
install -m 644 ../docs/devel-hints.txt	 libgadu
install -m 644 ../docs/protocol.html	 libgadu
install -m 644 ../docs/przenosny-kod.txt libgadu
install -m 644 ../docs/ui.txt		 libgadu

# API
%__mkdir libgadu/API
install -m 644 ../docs/api/[fist]*         libgadu/API

# examples
( cd ../examples ; tar czf ../examples.tar.gz . )
mv ../examples.tar.gz libgadu

%post -n libgadu -p /sbin/ldconfig
%postun -n libgadu -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%files
%defattr(644,root,root,755)
%doc rpm-doc/ekg/*
%attr(755,root,root) %{_bindir}/ekg
%attr(755,root,root) %{_libexecdir}/ioctld

%config %{pkg_cfgdir}/ekg.conf
%config %{pkg_cfgdir}/ekg-override.conf

%{_datadir}/ekg
%{_mandir}/man1/ekg.1*
%{_mandir}/pl/man1/ekg.1*

%files -n libgadu
%defattr(644,root,root,755)

%{_libdir}/libgadu.so.%{lib_ver_M}
%attr(755,root,root) %{_libdir}/libgadu.so.%{lib_ver}

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc rpm-doc/libgadu/*
%{_includedir}/libgadu-config.h
%{_includedir}/libgadu.h
%{_libdir}/libgadu.a
%{_libdir}/libgadu.so
%{_libdir}/pkgconfig/libgadu.pc

%changelog
* Tue Aug 02 2005 Rafal Kwasny <rkwasny@aurox.org> 2:1.6-11.0.aur.0.rc3.1
- new upstream release
- rebuild

* Fri Apr 23 2004 Aurox Team <aurox@aurox.org> 2:1.5-9.4.aur.0.rc1.1
- from contributed scripts, install only *.py files
- build with aspell support
- 1.5 prerelease

* Tue Jan 13 2004 Jarosaw J. Pyszny <arghil@aurox.org> 2:1.4-9.2.aur.3
- CVS: 13.01.2004
- remove kadu patch (in mainstream)
- fix problem with buggy transparent proxy (squid) server

* Mon Nov 24 2003 Jarosaw J. Pyszny <arghil@aurox.org> 2:1.4-9.2.aur.2
- rebuild

* Sat Nov 22 2003 Jarosaw J. Pyszny <arghil@aurox.org> 2:1.4-1aur
- correct ekg (libgadu) version == 1.4
- cvs: 23.11.2003
- epoch 2
- add global configs

* Sat Nov 22 2003 Jarosaw J. Pyszny <arghil@aurox.org> 1.0.20031122-2aur
- add GG_FAILURE_NEED_EMAIL (for build kadu 0.3.6)

* Sat Nov 22 2003 Jarosaw J. Pyszny <arghil@aurox.org> 1.0.20031122-1aur
- ekg 22.11.2003
- libgadu 3.0

* Wed Nov 05 2003 Jarosaw J. Pyszny <arghil@aurox.org> 1.0.20031105-1aur
- ekg 05.11.2003
- correct libgadu version in libgadu.pc
- fix bug in examples tarball in libgadu-devel

* Fri Oct 03 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20031003-2aur
- ekg 03.10.2003
- small fix in {ekg,libekg} version txt

* Thu Oct 02 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20031003-1aur
- ekg 02.10.2003
- change libgadu version to 2.13.20031003

* Sat Jul 26 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20030725-1aur
- ekg 25.07.2003
- libgadu 2.13
- initial release
